[LLVMbugs] [Bug 17199] New: llvm: $LDFLAGS is used with both build and host compiler (should only be for host compiler)

bugzilla-daemon at llvm.org bugzilla-daemon at llvm.org
Wed Sep 11 15:25:23 PDT 2013


http://llvm.org/bugs/show_bug.cgi?id=17199

            Bug ID: 17199
           Summary: llvm: $LDFLAGS is used with both build and host
                    compiler (should only be for host compiler)
           Product: new-bugs
           Version: unspecified
          Hardware: PC
                OS: Linux
            Status: NEW
          Severity: normal
          Priority: P
         Component: new bugs
          Assignee: unassignedbugs at nondot.org
          Reporter: yunlian at gmail.com
                CC: llvmbugs at cs.uiuc.edu
    Classification: Unclassified

In the llvm/configure

echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
   { (exit 1); exit 1; }; }
  ac_build_link='${BUILD_CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS
conftest.$ac_ext $LIBS 1>&5'
  rm -f conftest*
  echo 'int main () { return 0; }' > conftest.$ac_ext
  ac_cv_build_exeext=
  if { (eval echo "$as_me:$LINENO: \"$ac_build_link\"") >&5
  (eval $ac_build_link) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); }; then
    for file in conftest.*; do
      case $file in
      *.c | *.o | *.obj | *.dSYM) ;;
      *) ac_cv_build_exeext=`echo $file | sed -e s/conftest//` ;;
      esac
    done
  else
    { { echo "$as_me:$LINENO: error: installation or configuration problem:
compiler cannot create executables." >&5

The build compiler uses $CFLAGS $CPPFLAGS $LDFLAGS for target compiler. If some
flags are target compiler only, then configure error happens.

-- 
You are receiving this mail because:
You are on the CC list for the bug.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.llvm.org/pipermail/llvm-bugs/attachments/20130911/b6ad2011/attachment.html>


More information about the llvm-bugs mailing list